最近在编译php时出现SAPI错误

问题描述:

    You’ve configured multiple SAPIs to be build.You can build only one SAPI module and CLI binary at the same time.(你已经配置了多个SAPIs,在同一时间你只可以建立一个SAPI模块和一个CLI binary。)

分析:由于在LAMP环境中,php与apache通信是通过apxs,而LNMP环境是通过php-fpm

 

解决方法:

    导致的原因是我的配置参数中同时使用了–enable-fpm 与–with-apxs2= ,因此编译的时候出错了,去掉其中的任意一个参数编译成功。

发表评论

电子邮件地址不会被公开。 必填项已用*标注